aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/insert_bookmark.sh
diff options
context:
space:
mode:
authorGravatar Dieter Plaetinck <dieter@plaetinck.be>2010-01-02 20:11:15 +0100
committerGravatar Dieter Plaetinck <dieter@plaetinck.be>2010-01-02 20:11:15 +0100
commit9dd1370d0b7cd876f004f7a822b0357039252184 (patch)
treebf9fcf6c6b2332cf70948d225000ee1a0d77c0ea /examples/data/scripts/insert_bookmark.sh
parent02995443bc8af38fc3bb3896c8d32eb0adc142d0 (diff)
remove the 'uzbl' subdirectory in examples/*/, since the sandbox they are no longer needed + update paths everywhere + remove examples/config/enchant (also not needed since sandbox) + bugfix: set /home/dieter in sandbox
Diffstat (limited to 'examples/data/scripts/insert_bookmark.sh')
-rwxr-xr-xexamples/data/scripts/insert_bookmark.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/examples/data/scripts/insert_bookmark.sh b/examples/data/scripts/insert_bookmark.sh
new file mode 100755
index 0000000..c34e7db
--- /dev/null
+++ b/examples/data/scripts/insert_bookmark.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+[ -d "${XDG_DATA_HOME:-$HOME/.local/share}/uzbl" ] || exit 1
+file=${XDG_DATA_HOME:-$HOME/.local/share}/uzbl/bookmarks
+
+which zenity &>/dev/null || exit 2
+
+entry=`zenity --entry --text="Add bookmark. add tags after the '\t', separated by spaces" --entry-text="$6 $7\t"`
+exitstatus=$?
+if [ $exitstatus -ne 0 ]; then exit $exitstatus; fi
+url=`echo $entry | awk '{print $1}'`
+
+# TODO: check if already exists, if so, and tags are different: ask if you want to replace tags
+echo "$entry" >/dev/null #for some reason we need this.. don't ask me why
+echo -e "$entry" >> $file
+true